<?php

/**
 * Callback form.
 *
 * @package    sf
 * @subpackage form
 * @author     Atma
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class CallbackForm extends BaseCallbackForm
{
    public function configure()
    {
        $this->useFields(array('name', 'phone', 'offer_id', 'is_done'));

        $this->widgetSchema['name'] = new sfWidgetFormInputText(array(), array("size" => 40, "maxlength" => 255, "required" => true));
        $this->widgetSchema['phone'] =  new sfWidgetFormInputText(array(), array("size" => 28, "maxlength" => 24, "required" => true));
        $this->widgetSchema['offer_id'] =  new sfWidgetFormInputText(array(), array("size" => 65));
    }
}
